আমার দলগুলো
GET https://popupke.com/api/teams/
curl --request GET \
--url 'https://popupke.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://popupke.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| পরামিতি | বিস্তারিত | বর্ণনা |
|---|---|---|
| search | ঐচ্ছিক স্ট্রিং | অনুসন্ধান স্ট্রিং. |
| search_by | ঐচ্ছিক স্ট্রিং | What field are you searching by. Allowed values are: name. |
| datetime_field | ঐচ্ছিক স্ট্রিং | Allowed values: datetime, last_datetime |
| datetime_start | ঐচ্ছিক স্ট্রিং | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | ঐচ্ছিক স্ট্রিং | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | ঐচ্ছিক স্ট্রিং | What field to order the results by. Allowed values are: team_id, datetime, last_datetime, name. |
| order_type | ঐচ্ছিক স্ট্রিং | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | ঐচ্ছিক পূর্ণসংখ্যা | The page number that you want results from. Defaults to 1. |
| results_per_page | ঐচ্ছিক পূর্ণসংখ্যা | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-05-21 01:36:46",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-05-21 01:36:46",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://popupke.com/api/teams?page=1",
"last": "https://popupke.com/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://popupke.com/api/teams?page=1"
}
}
GET https://popupke.com/api/teams/{team_id}
curl --request GET \
--url 'https://popupke.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://popupke.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-05-21 01:36:46",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-05-21 01:36:46",
}
}
POST https://popupke.com/api/teams
| পরামিতি | বিস্তারিত | বর্ণনা |
|---|---|---|
| name | প্রয়োজন স্ট্রিং | - |
curl --request POST \
--url 'https://popupke.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://popupke.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1
}
}
POST https://popupke.com/api/teams/{team_id}
| পরামিতি | বিস্তারিত | বর্ণনা |
|---|---|---|
| name | ঐচ্ছিক স্ট্রিং | - |
curl --request POST \
--url 'https://popupke.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://popupke.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1
}
}
DELETE https://popupke.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://popupke.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://popupke.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \